Bug 143953 - [maintainer-update|patch] irc/ratbox-services: Update to version 1.2.2
Summary: [maintainer-update|patch] irc/ratbox-services: Update to version 1.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-15 13:50 UTC by moggie
Modified: 2010-03-09 22:50 UTC (History)
0 users

See Also:


Attachments
ratbox-services-1.2.2.diff (3.02 KB, patch)
2010-02-15 13:50 UTC, moggie
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description moggie 2010-02-15 13:50:01 UTC
Updated ratbox-services port to official "stable" ratbox-services-1.2.2 release.

Software changes included in this release:
- Fix compilation with gcc-4.4.
- ChanServ will now remove bans from the channel when they expire in the database.
- Fix a potential crash by a user changing their email address with UserServ.
- Add in support for chanmode +S (ssl-only). rserv will now always support the ircd sending channel mode +S.
- New general {}; conf option: allow_sslonly = <yes|no>; controls whether users can instruct ChanServ to use the +S mode.
  This should match the ircd setting.
- chanserv::set::topic will now cause ChanServ to update the topic if it is already present in the channel.
- BanServ expires based on events, but this prevented a kline (etc) that had just expired from being reset. Enforce an expiry of all bans prior to handling a request from an oper.
- ChanServ { expireban_frequency }; and chanserv { expiretopic_frequency }; were being ignored and defaults used in their place.
- MemoServ will now notify users when they login if they have unread memos.
- OLOGIN/OPERLOGIN will now enforce usernames are correct.
- Fix an issue with userserv allowing usernames above the maximum length. It will now ignore these and warn about them on startup.
Comment 1 Edwin Groothuis freebsd_committer 2010-02-15 13:50:12 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-02-15 13:50:14 UTC
Maintainer of irc/ratbox-services,

Please note that PR ports/143953 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143953

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-02-15 13:50:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 moggie 2010-02-15 14:03:36 UTC
This is from me so it's fine to commit, thanks. I just mixed up the 
'from' address field.
Comment 5 Martin Wilke freebsd_committer 2010-02-16 10:17:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 6 Martin Wilke freebsd_committer 2010-03-09 22:43:00 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2010-03-09 22:43:31 UTC
miwi        2010-03-09 22:43:15 UTC

  FreeBSD ports repository

  Modified files:
    irc/ratbox-services  Makefile distinfo 
    irc/ratbox-services/files pkg-install.in pkg-message.in 
  Log:
  - Update to 1.2.2
  
  PR:             143953
  Submitted by:   moggie <"moggie atelasticmind.net"@elasticmind.net> (maintainer)
  
  Revision  Changes    Path
  1.11      +1 -2      ports/irc/ratbox-services/Makefile
  1.5       +3 -3      ports/irc/ratbox-services/distinfo
  1.3       +8 -4      ports/irc/ratbox-services/files/pkg-install.in
  1.5       +4 -4      ports/irc/ratbox-services/files/pkg-message.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"